local RL1 = cmd(blend,'BlendMode_Add';zoomx,.8;zoomy,1;diffusealpha,.5;decelerate,.1;zoomx,.5;zoomy,.2;diffusealpha,.1;decelerate,.02;diffusealpha,0);

local pn = Var "Player";

local sButton = Var "Button";

local Reverse = string.find(GAMESTATE:GetPlayerState(pn):GetPlayerOptionsString("ModsLevel_Preferred"), "Reverse");

local Notefield = 
{
	Up = {0,0},
	Down = {0,0},
	Left = {1,-32-8},
	Right = {1,32+8},
	UpLeft = {0,0},
	UpRight = {0,0},
};


return Def.ActorFrame{
	OnCommand=function(self)
		if not Reverse then
			self:zoomy(-1)
		end
	end;
	LoadActor(NOTESKIN:GetPath("_Bar","Notefield Side"))..{
		InitCommand=function(self)
			self:zoomy(9999)
			self:diffusealpha(Notefield[sButton][1])
			self:x(Notefield[sButton][2])
		end;
	};
	LoadActor(NOTESKIN:GetPath("_Bar","Notefield Center"))..{
		InitCommand=cmd(zoomy,9999);
	};
	
	LoadActor(NOTESKIN:GetPath("_Bar","Receptor Light2"))..{
		InitCommand=cmd(vertalign,top;addy,-360;diffusealpha,0);
		W3Command=RL1;
		W2Command=RL1;
		W1Command=RL1;
	};
	LoadActor(NOTESKIN:GetPath("_Bar","Receptor Light1"))..{
		InitCommand=cmd(vertalign,bottom;addy,45;diffusealpha,0);
		PressCommand=cmd(blend,'BlendMode_Add';diffusealpha,.7;sleep,.1);
		LiftCommand=cmd(blend,'BlendMode_Add';diffusealpha,0);
	};
	LoadActor(NOTESKIN:GetPath("_Bar","Receptor Center"));
	LoadActor(NOTESKIN:GetPath("_Bar","Receptor Top"))..{
		InitCommand=cmd(addy,32;diffusealpha,1);
		PressCommand=cmd(finishtweening;addy,-32;decelerate,.2);
		LiftCommand=cmd(decelerate,.2;addy,32);
	};
	LoadActor(NOTESKIN:GetPath("_Bar","Receptor Back2"))..{
		InitCommand=cmd(addy,45;diffusealpha,1);
	};
	LoadActor(NOTESKIN:GetPath("_Bar","Receptor Back1"))..{
		InitCommand=cmd(addy,45;diffusealpha,1);
		PressCommand=cmd(diffusealpha,0);
		LiftCommand=cmd(diffusealpha,1);
	};
};